jQuery(document).ready(function ($) {


    $('.af_pdf_invoices_for_order, .af_invoices_pdf_emails').select2();

    $(document).on('click', '#af_invoices_pdf_upload_btn', function (e) {
        e.preventDefault();
        
        var image = wp.media({
            title: 'Upload Image',
            multiple: false
        }).open()
        .on('select', function () {
            var uploaded_image = image.state().get('selection').first();
            var image_url = uploaded_image.toJSON().url;
            $('#af_invoices_pdf_header_logo').val(image_url); 
            $('#af_invoice_pdf_upload_icon_img').attr("src", image_url); 
        });
    });
    
    $(document).on('click', '#af_invoices_pdf_remove_btn', function() {

        jQuery('#af_invoices_pdf_header_logo').val('');
        jQuery('.imgdis').css({'display': 'none'});

    });

    $(document).on('click', '#af_invoices_pdf_credit_note_upload_btn', function (e) {
        e.preventDefault();
        
        var image = wp.media({
            title: 'Upload Image',
            multiple: false
        }).open()
        .on('select', function () {
            var uploaded_image = image.state().get('selection').first();
            var image_url = uploaded_image.toJSON().url;
            $('#af_invoices_pdf_credit_note_header_logo').val(image_url); 
            $('#af_invoice_pdf_credit_note_upload_icon_img').attr("src", image_url); 
        });
    });

    $(document).on('click', '#af_credit_note_remove_btn', function() {

        jQuery('#af_invoices_pdf_credit_note_header_logo').val('');
        jQuery('.imgdis').css({'display': 'none'});

    });

    $(document).on('click', '#af_invoices_packing_slip_upload_btn', function () {
        var image = wp.media({
            title: 'Upload Image',
            multiple: false
        }).open()
        .on('select', function () {
            var uploaded_image = image.state().get('selection').first();

            var image_url = uploaded_image.toJSON().url;
            jQuery('#af_invoices_pdf_packing_slip_header_logo').val(image_url);
            jQuery('#af_pdf_invoices_packing_slip_logo').attr("src", image_url);
        });
    });

    $(document).on('click', '#af_packing_slip_remove_btn', function() {

        jQuery('#af_invoices_pdf_packing_slip_header_logo').val('');
        jQuery('.imgdis').css({'display': 'none'});

    });
    

    function toggleCompanyDetails() {
        let companyDetailOption = $('#af_invoices_pdf_company_detail').val();

        if (companyDetailOption === 'no' || companyDetailOption === 'default') {
            $('#custom-store-details').hide();
        } else if (companyDetailOption === 'custom') {
            $('#custom-store-details').show();
        }
    }

    function toggleCompanyDetailsCreditNote(){
        let companyDetailOption = $('#af_invoices_pdf_credit_note_company_detail').val();
        

        if (companyDetailOption === 'no' || companyDetailOption === 'default') {
            $('#custom-store-details-credit-note').hide();
        } 
        else if (companyDetailOption === 'custom') {
            $('#custom-store-details-credit-note').show();
        }
    }

    function toggleCompanyDetailsPackingSlip(){
        let companyDetailOption = $('#af_invoices_pdf_packing_slip_company_detail').val();
        

        if (companyDetailOption === 'no' || companyDetailOption === 'default') {
            $('#custom-store-details-packing-slip').hide();
        } 
        else if (companyDetailOption === 'custom') {
            $('#custom-store-details-packing-slip').show();
        }
    }


    $('input[name="af_invoice_pdf_select_design"]').on('change', function() {

        $('.af_invoice_packing_slip_temp').css('border', 'none');
        
        $(this).closest('.af_invoice_packing_slip_temp').css('border', '2px solid blue');
    });

    $('input[name="af_invoice_pdf_select_design"]:checked').trigger('change');

    


   function update_border(name) {
        if (name === 'af_pdf_invoices_credit_note_design') {
        
            $('.af_invoice_credit_note_temp .af_label').css('border', 'none');

            const selectedInput = $('input[name="af_pdf_invoices_credit_note_design"]:checked');
            if (selectedInput.length) {
                selectedInput.closest('.af_invoice_credit_note_temp').find('.af_label').css('border', '2px solid blue');
            }
        } else if (name === 'af_pdf_invoices_packing_slip_design') {
        
            $('.af_invoice_packing_slip_temp .af_label').css('border', 'none');

            const selectedInput = $('input[name="af_pdf_invoices_packing_slip_design"]:checked');
            if (selectedInput.length) {
                selectedInput.closest('.af_invoice_packing_slip_temp').find('.af_label').css('border', '2px solid blue');
            }
        }
    }


    function toggleCreditNoteDesignWrapper() {
        var optionValue = $('#af_pdf_invoices_credit_note_option').val();
        if (optionValue === 'customize') {
            $('#af_pdf_invoices_credit_note_design_section').show();
        } else {
            $('#af_pdf_invoices_credit_note_design_section').hide();
        }
    }

        
    toggleCompanyDetails();
    toggleCompanyDetailsCreditNote();
    toggleCompanyDetailsPackingSlip();
    toggleCreditNoteDesignWrapper();
   
    update_border('af_pdf_invoices_packing_slip_design');
    update_border('af_pdf_invoices_credit_note_design');


    $('#af_invoices_pdf_company_detail').change(toggleCompanyDetails);
    $('#af_invoices_pdf_credit_note_company_detail').change(toggleCompanyDetailsCreditNote);
    $('#af_invoices_pdf_packing_slip_company_detail').change(toggleCompanyDetailsPackingSlip);

  
   $(document).on('change click', 'input[name="af_pdf_invoices_packing_slip_design"]', function () {
        update_border('af_pdf_invoices_packing_slip_design');
    });

    $(document).on('change click', 'input[name="af_pdf_invoices_credit_note_design"]', function () {
        update_border('af_pdf_invoices_credit_note_design');
    });

    $('#af_pdf_invoices_credit_note_option').change(toggleCreditNoteDesignWrapper);

    $(document).on('click', '.af_invoice_templates', function () {
        $('.af_invoice_templates').css('border', '');
        $(this).css('border', '2px solid blue');
    });

    $('#save_template_btn').on('click', function () {
        var selectedTemplate = $('.af_invoice_templates').filter(function () {
            return $(this).css('border-color') === 'rgb(0, 0, 255)';
        });
        if (selectedTemplate.length > 0) {
            var selectedTemplateValue = selectedTemplate.find('input[type="radio"]').val();
            $('#selected_design_id').val(selectedTemplateValue);
        }
    });

    var savedDesignValue = $('#selected_design_id').val();
    if (savedDesignValue) {
        var savedRadioButton = $('input[type="radio"][value="' + savedDesignValue + '"]');
        if (savedRadioButton.length > 0) {
            savedRadioButton.closest('.af_invoice_templates').css('border', '2px solid blue');
        }
    }

    $('.generate_invoice_pdf,.generate_credit_note_pdf,.generate_packing_slip_pdf').on('click', function (e) {
        // e.preventDefault();
        const tempId = $(this).data('temp-id');
        const isInvoiceButton = $(this).hasClass('generate_invoice_pdf');
        const isCreditNoteButton = $(this).hasClass('generate_credit_note_pdf');
        const isPackingSlipButton = $(this).hasClass('generate_packing_slip_pdf');


        var pdfType = '';

        if(isInvoiceButton){
            pdfType = 'invoice';
        }
        else if(isCreditNoteButton){
            pdfType = 'credit-note';
        }
        else if(isPackingSlipButton){
            pdfType = 'packing';
        }
        
        $.ajax({
            url: ajaxurl, 
            type: 'POST',
            dataType: 'json',
            data: {
                nonce: af_pdf_invoice.ajax_nonce,
                action: 'generate_invoice_pdf', 
                tempId: tempId,
                pdfType:pdfType
            },
            success: function (response) {
                
                if (response.success) {
                    if(response.data.status === 'fail'){
                        alert('Error generating PDF: ' + response.data.message);
                    }
                    else{
                        var pdf_base64 = response.data.pdf_base64;
                        var pdf_blob = b64toBlob(pdf_base64, 'application/pdf');
                        var pdf_url = URL.createObjectURL(pdf_blob);
                        
                        window.open(pdf_url, '_blank');
                        setTimeout(() => URL.revokeObjectURL(pdf_url), 60000);
                    }
                } else {
                    alert('Error generating PDF: ' + response.data);
                }
            },
            error: function (xhr, status, error) {
                // console.log('AJAX Error:', error);
            }
        });
    }); 

    function b64toBlob(b64Data, contentType, sliceSize) {
        contentType = contentType || '';
        sliceSize = sliceSize || 512;
    
        var byteCharacters = atob(b64Data);
        var byteArrays = [];
    
        for (var offset = 0; offset < byteCharacters.length; offset += sliceSize) {
            var slice = byteCharacters.slice(offset, offset + sliceSize);
    
            var byteNumbers = new Array(slice.length);
            for (var i = 0; i < slice.length; i++) {
                byteNumbers[i] = slice.charCodeAt(i);
            }
    
            var byteArray = new Uint8Array(byteNumbers);
    
            byteArrays.push(byteArray);
        }
    
        var blob = new Blob(byteArrays, {type: contentType});
        return blob;
    }

    $(document).on('change','#af_invoice_pdf_enable_header',handle_page_header_change);
    handle_page_header_change();

    function handle_page_header_change(){
        if($('#af_invoice_pdf_enable_header').is(':checked')){
            $('.header_related_field').closest('tr').show();
        }
        else{
            $('.header_related_field').closest('tr').hide();
        }
    }

    $(document).on('change','#af_pdf_invoices_credit_note_option',handle_credit_note_option_change)
    handle_credit_note_option_change();

    function handle_credit_note_option_change(){
        
        if($('#af_pdf_invoices_credit_note_option').val() == 'default'){
            $('.af_invoice_credit_note_custom_field').closest('tr').hide();
        }
        else{
            $('.af_invoice_credit_note_custom_field').closest('tr').show();
        }
    }





});






