<?php
function af_pdf_invoices_credit_note_option() {
	$af_pdf_invoices_credit_note_option = get_option('af_pdf_invoices_credit_note_option', 'default');
	?>
	<select id="af_pdf_invoices_credit_note_option" name="af_pdf_invoices_credit_note_option">
		<option value="default" <?php selected($af_pdf_invoices_credit_note_option, 'default'); ?>>
			<?php esc_html_e('Use default PDF invoices', 'af_pdf_invoices'); ?>
		</option>
		<option value="customize" <?php selected($af_pdf_invoices_credit_note_option, 'customize'); ?>>
			<?php esc_html_e('Customize template', 'af_pdf_invoices'); ?>
		</option>
	</select>
	<?php
}

function af_pdf_invoices_credit_note_design_wrapper() {
	$af_pdf_invoices_credit_note_design = get_option('af_pdf_invoices_credit_note_design');
	$af_pdf_invoices_credit_note_option = get_option('af_pdf_invoices_credit_note_option', 'default');
	?>

	<div id="af_pdf_invoices_credit_note_design_section">
		<label for="af_pdf_invoices_credit_note_option">
			<?php echo esc_html__('Select design for credit note', 'af_pdf_invoices'); ?>
		</label>
		<div id="af_pdf_invoices_credit_note_design_wrapper" style="display: flex;">
		<div class="tooltip-wrapper">
			<span class="tooltip-icon">?</span>
			<div class="tooltip-content"><?php echo esc_html__('Want to use your own template? Copy all the files from wp-content/plugins/addify-pdf-invoices/includes/templates/credit-note to wp-content//addify-pdf-invoices-and-packing-slip/credit-note to customize them.', 'af_pdf_invoices'); ?></div>
		</div>
			<div class="af_invoice_credit_note_temp" style="margin-right: 10px;">
				<input style="display: none;" type="radio" name="af_pdf_invoices_credit_note_design"
					class="af_inv_step_style" id="choose1" value="credit_note_temp1.php" <?php checked($af_pdf_invoices_credit_note_design, 'credit_note_temp1.php'); ?> />
				<label for="choose1">
					<div class="af_label">
						<img style="width: 140px!important; height:192px!important;"
							src="<?php echo esc_attr(PDFI_URL . 'includes/assest/uploads/creditnotetemp1.png'); ?>" />
					</div>
				</label>
				<div><img class="generate_credit_note_pdf" data-temp-id="credit_note_temp1.php" style="width: 20px!important; height:20px!important;padding-top:3px;cursor:pointer;margin-left:10px"
				src="<?php echo esc_attr(PDFI_URL . 'includes/assest/uploads/download-pdf.png'); ?>" />
			</div>
			</div>

			<div class="af_invoice_credit_note_temp" style="margin-right: 10px;">
				<input style="display: none;" type="radio" name="af_pdf_invoices_credit_note_design"
					class="af_inv_step_style" id="choose2" value="credit_note_temp2.php" <?php checked($af_pdf_invoices_credit_note_design, 'credit_note_temp2.php'); ?> />
				<label for="choose2">
					<div class="af_label">
						<img style="width: 140px!important; height:192px!important;"
							src="<?php echo esc_attr(PDFI_URL . 'includes/assest/uploads/creditnotetemp2.png'); ?>" />
					</div>
				</label>
				<div><img class="generate_credit_note_pdf" data-temp-id="credit_note_temp2.php" style="width: 20px!important; height:20px!important;padding-top:3px;cursor:pointer;margin-left:10px"
				src="<?php echo esc_attr(PDFI_URL . 'includes/assest/uploads/download-pdf.png'); ?>" />
			</div>
		</div>
	
		
	</div>


	<?php
}


add_settings_section(
 'addify_invoices_pdf_credit_note_fields',
 '',
 '',
 'addify_invoices_pdf_credit_note_sections'
);

add_settings_field(
 'af_pdf_invoices_credit_note_option',
 esc_html__('Select credit note Option', 'af_pdf_invoices'),
 'af_pdf_invoices_credit_note_option',
 'addify_invoices_pdf_credit_note_sections',
 'addify_invoices_pdf_credit_note_fields'
);

register_setting(
 'addify_invoices_pdf_credit_note_fields',
 'af_pdf_invoices_credit_note_option'
);

add_settings_field(
 'af_pdf_invoices_credit_note_design',
 '',
 'af_pdf_invoices_credit_note_design_wrapper',
 'addify_invoices_pdf_credit_note_sections',
 'addify_invoices_pdf_credit_note_fields'
);

register_setting(
 'addify_invoices_pdf_credit_note_fields',
 'af_pdf_invoices_credit_note_design'
);

add_settings_field(
	'af_pdf_invoices_credit_note_heading',
	esc_html__('Credit note heading', 'af_pdf_invoices'),
	'af_pdf_invoices_credit_note_heading',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
);

register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_pdf_invoices_credit_note_heading'
);

add_settings_field(
	'af_invoices_pdf_credit_note_header_text_color',
	esc_html__('PDF header text color', ' af_pdf_invoices'),
	'af_invoices_pdf_credit_note_header_text_color',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
);
register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_header_text_color'
);
add_settings_field(
	'af_invoices_pdf_credit_note_header_background_color',
	esc_html__('PDF header background color', ' af_pdf_invoices'),
	'af_invoices_pdf_credit_note_header_background_color',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
);
register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_header_background_color'
);

add_settings_field(
	'af_invoices_pdf_credit_note_header_logo',
	esc_html__('Upload logo', 'af_pdf_invoices'),
	'af_invoices_pdf_credit_note_header_logo',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
);
   
register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_header_logo'
);

add_settings_field(
	'af_invoices_pdf_credit_note_header_logo_height',
	esc_html__('Logo height ', ' af_pdf_invoices'),
	'af_invoices_pdf_credit_note_header_logo_height',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
);

register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_header_logo_height'
);


add_settings_field(
	'af_invoices_pdf_credit_note_company_detail',
	esc_html__('Company details', 'af_pdf_invoices'),
	'af_invoices_pdf_credit_note_company_detail',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
   );
   
register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_company_detail'
);

register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_custom_store_name'
);


add_settings_field(
	'af_invoices_pdf_credit_note_display_email_address',
	esc_html__('Enable email address', 'af_pdf_invoices'),
	'af_invoices_pdf_credit_note_display_email_address',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
   );
   
register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_display_email_address'
);

add_settings_field(
	'af_invoices_pdf_credit_note_display_phone_number',
	esc_html__('Enable contact number', 'af_pdf_invoices'),
	'af_invoices_pdf_credit_note_display_phone_number',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
);

register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_display_phone_number'
);


add_settings_field(
	'af_invoices_pdf_credit_note_display_order_number',
	esc_html__('Enable order number', 'af_pdf_invoices'),
	'af_invoices_pdf_credit_note_display_order_number',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
	);

register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_display_order_number'
);


add_settings_field(
 'af_invoices_pdf_credit_note_order_date',
 esc_html__('Enable order date', 'af_pdf_invoices'),
 'af_invoices_pdf_credit_note_order_date',
 'addify_invoices_pdf_credit_note_sections',
 'addify_invoices_pdf_credit_note_fields'
);

register_setting(
 'addify_invoices_pdf_credit_note_fields',
 'af_invoices_pdf_credit_note_order_date'
);

add_settings_field(
	'af_invoices_pdf_credit_note_shipping_data',
	esc_html__('Enable shipping data', 'af_pdf_invoices'),
	'af_invoices_pdf_credit_note_shipping_data',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
   );
   
register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_shipping_data'
);

add_settings_field(
	'af_invoices_pdf_credit_note_order_table_color',
	esc_html__('PDF order table text color', ' af_pdf_invoices'),
	'af_invoices_pdf_credit_note_order_table_color',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
);
register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_order_table_color'
);
add_settings_field(
	'af_invoices_pdf_credit_note_order_table_back_color',
	esc_html__('Order table background color', ' af_pdf_invoices'),
	'af_invoices_pdf_credit_note_order_table_back_color',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
);
register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_order_table_back_color'
);

add_settings_field(
	'af_invoices_pdf_credit_note_footer_text_color',
	esc_html__('PDF footer text color', ' af_pdf_invoices'),
	'af_invoices_pdf_credit_note_footer_text_color',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
);
register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_footer_text_color'
);
add_settings_field(
	'af_invoices_pdf_credit_note_footer_background_color',
	esc_html__('PDF footer background color', ' af_pdf_invoices'),
	'af_invoices_pdf_credit_note_footer_background_color',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
);
register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_invoices_pdf_credit_note_footer_background_color'
);


add_settings_field(
	'af_pdf_credit_note_footer_note',
	esc_html__('Add note to the footer', 'af_pdf_invoices'),
	'af_pdf_credit_note_footer_note_callback',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
);

register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_pdf_credit_note_footer_note'
);


add_settings_field(
	'af_pdf_credit_note_footer_terms',
	esc_html__('Terms and conditions', 'af_pdf_invoices'),
	'af_pdf_credit_note_footer_terms_callback',
	'addify_invoices_pdf_credit_note_sections',
	'addify_invoices_pdf_credit_note_fields'
);

register_setting(
	'addify_invoices_pdf_credit_note_fields',
	'af_pdf_credit_note_footer_terms'
);




function af_invoices_pdf_credit_note_header_text_color() {
	$af_invoices_pdf_credit_note_header_text_color = get_option('af_invoices_pdf_credit_note_header_text_color');
	?>
	<input type="color" class="af_invoice_credit_note_custom_field" name="af_invoices_pdf_credit_note_header_text_color" value="<?php echo esc_attr($af_invoices_pdf_credit_note_header_text_color); ?>">
	<p class="description"> <?php echo esc_html__('Pick header text color', 'af_pdf_invoices'); ?></p>
<?php
}

function af_invoices_pdf_credit_note_header_background_color() {
	$af_invoices_pdf_credit_note_header_background_color = get_option('af_invoices_pdf_credit_note_header_background_color');
	?>
	<input type="color" name="af_invoices_pdf_credit_note_header_background_color" class="af_invoice_credit_note_custom_field" value="<?php echo esc_attr($af_invoices_pdf_credit_note_header_background_color); ?>">
	<p class="description"><?php echo esc_html__('Pick header background color ', 'af_pdf_invoices'); ?></p>
<?php
}

function af_invoices_pdf_credit_note_header_logo() {
	$af_invoices_pdf_credit_note_header_logo = get_option('af_invoices_pdf_credit_note_header_logo');
	?>
 <div class="af_invoices_pdf_credit_note_header_logo def_login af_msc_upload_payment_custom_icon af_invoice_credit_note_custom_field">
	 <div class="af_wpb_logo_img_div" id="af_wpb_logo_img_div">
		 <div class="af_wpb_logo_img_right">
			 <div class="imgdis">
				 <img style="max-width: 200px;" id="af_invoice_pdf_credit_note_upload_icon_img"
					 src="<?php echo esc_url($af_invoices_pdf_credit_note_header_logo); ?>" />
			 </div>
		 </div>
		 <input type="hidden" value="<?php echo esc_url($af_invoices_pdf_credit_note_header_logo); ?>" name="af_invoices_pdf_credit_note_header_logo"
			 id="af_invoices_pdf_credit_note_header_logo" class="login_title">
		 <input type="button" name="af_ips_template_logo_fieldbtn" id="af_invoices_pdf_credit_note_upload_btn" class="af_pdf_template_logo_field button-secondary" value="<?php echo esc_html__('Upload logo', 'af_pdf_invoices'); ?>">
		 <input type="button" id="af_credit_note_remove_btn" class="button" value="<?php echo esc_html__('Remove logo', 'af_pdf_invoices'); ?>">
		 <label class="description"></label>
	 </div>
 </div>
	   <?php
}

function af_invoices_pdf_credit_note_header_logo_height() {
	$af_invoices_pdf_credit_note_header_logo_height = get_option('af_invoices_pdf_credit_note_header_logo_height');
	?>
	<input type="number" min="1" name="af_invoices_pdf_credit_note_header_logo_height" class="af_invoice_credit_note_custom_field" value="<?php echo esc_attr($af_invoices_pdf_credit_note_header_logo_height); ?>">
	<p class="description"><?php echo esc_html__('Add logo height in pixels', 'af_pdf_invoices'); ?></p>

	<?php
}

function af_invoices_pdf_credit_note_company_detail() {
	$af_invoices_pdf_credit_note_company_detail = get_option('af_invoices_pdf_credit_note_company_detail');
	$af_invoices_pdf_credit_note_custom_store_name = get_option('af_invoices_pdf_credit_note_custom_store_name');
	?>

	<select class="" id="af_invoices_pdf_credit_note_company_detail" class="af_invoice_credit_note_custom_field" name="af_invoices_pdf_credit_note_company_detail">
		<option value="no" <?php selected($af_invoices_pdf_credit_note_company_detail, 'no'); ?>><?php echo esc_html__('No', 'af_pdf_invoices'); ?></option>
		<option value="default" <?php selected($af_invoices_pdf_credit_note_company_detail, 'default'); ?>><?php echo esc_html__('Default store detail', 'af_pdf_invoices'); ?></option>
		<option value="custom" <?php selected($af_invoices_pdf_credit_note_company_detail, 'custom'); ?>><?php echo esc_html__('Custom', 'af_pdf_invoices'); ?></option>
	</select>

	<div id="custom-store-details-credit-note" class="af_invoice_credit_note_custom_field" style="display: <?php echo 'custom' == $af_invoices_pdf_credit_note_company_detail ? 'block' : 'none'; ?>;">
		<p>
			<textarea class="" id="af_invoices_pdf_credit_note_custom_store_name" placeholder="Enter store details" style="width:350px; height:100px" name="af_invoices_pdf_credit_note_custom_store_name"><?php echo esc_attr($af_invoices_pdf_credit_note_custom_store_name); ?></textarea>
		</p>
	</div>
<?php
}

function af_pdf_invoices_credit_note_heading() {
	$af_pdf_invoices_credit_note_heading = get_option('af_pdf_invoices_credit_note_heading');
	?>
	<input type="text" name="af_pdf_invoices_credit_note_heading" value="<?php echo esc_attr($af_pdf_invoices_credit_note_heading); ?>">
	<p class="description"><?php echo esc_html__('Add text for credit note heading. If left blank, default value "Credit Note" will be used', 'af_pdf_invoices'); ?></p>
	<?php
}

function af_invoices_pdf_credit_note_display_phone_number() {
	$af_invoices_pdf_credit_note_display_phone_number = get_option('af_invoices_pdf_credit_note_display_phone_number');
	?>
	<input type="checkbox" value="yes" class="af_invoice_credit_note_custom_field" id="af_invoices_pdf_credit_note_display_phone_number" name="af_invoices_pdf_credit_note_display_phone_number" <?php checked('yes', $af_invoices_pdf_credit_note_display_phone_number); ?>>
	<p class="description"><?php echo esc_html__('Show phone number of user on invoice', 'af_pdf_invoices'); ?></p>
<?php
}
   
   
function af_invoices_pdf_credit_note_display_email_address() {
	$af_invoices_pdf_credit_note_display_email_address = get_option('af_invoices_pdf_credit_note_display_email_address');
	?>
	<input type="checkbox" value="yes" class="af_invoice_credit_note_custom_field" id="af_invoices_pdf_credit_note_display_email_address" name="af_invoices_pdf_credit_note_display_email_address" <?php checked('yes', $af_invoices_pdf_credit_note_display_email_address); ?>>
	<p class="description"><?php echo esc_html__('Show email of user on credit note', 'af_pdf_invoices'); ?></p>
<?php
}

function af_invoices_pdf_credit_note_display_order_number() {
	$af_invoices_pdf_credit_note_display_order_number = get_option('af_invoices_pdf_credit_note_display_order_number');
	?>
	<input type="checkbox" value="yes" class="af_invoice_credit_note_custom_field" id="af_invoices_pdf_credit_note_display_order_number" name="af_invoices_pdf_credit_note_display_order_number" <?php checked('yes', $af_invoices_pdf_credit_note_display_order_number); ?>>
	<p class="description"><?php echo esc_html__('Show order number on credit note', 'af_pdf_invoices'); ?></p>
<?php
}
function af_invoices_pdf_credit_note_order_date() {
	$af_invoices_pdf_credit_note_order_date = get_option('af_invoices_pdf_credit_note_order_date');
	?>
	<input type="checkbox" value="yes" class="af_invoice_credit_note_custom_field" id="af_invoices_pdf_credit_note_order_date" name="af_invoices_pdf_credit_note_order_date" <?php checked('yes', $af_invoices_pdf_credit_note_order_date); ?>>
	<p class="description"><?php echo esc_html__('Show order date on credit note', 'af_pdf_invoices'); ?></p>
<?php
}

function af_invoices_pdf_credit_note_shipping_data() {
	$af_invoices_pdf_credit_note_shipping_data = get_option('af_invoices_pdf_credit_note_shipping_data');
	?>
	<input type="checkbox" value="yes" class="af_invoice_credit_note_custom_field" id="af_invoices_pdf_credit_note_shipping_data" name="af_invoices_pdf_credit_note_shipping_data" <?php checked('yes', $af_invoices_pdf_credit_note_shipping_data); ?>>
	<p class="description"><?php echo esc_html__('Show shipping data on credit note ', 'af_pdf_invoices'); ?></p>
<?php
}

function af_invoices_pdf_credit_note_order_table_color() {
	$af_invoices_pdf_credit_note_order_table_color = get_option('af_invoices_pdf_credit_note_order_table_color');
	?>
	<input type="color" name="af_invoices_pdf_credit_note_order_table_color" class="af_invoice_credit_note_custom_field" value="<?php echo esc_attr($af_invoices_pdf_credit_note_order_table_color); ?>">
	<p class="description"><?php echo esc_html__('Pick color for the order table', 'af_pdf_invoices'); ?></p>
<?php
} 

function af_invoices_pdf_credit_note_order_table_back_color() {
	$af_invoices_pdf_credit_note_order_table_back_color = get_option('af_invoices_pdf_credit_note_order_table_back_color');
	?>
	<input type="color" name="af_invoices_pdf_credit_note_order_table_back_color" class="af_invoice_credit_note_custom_field" value="<?php echo esc_attr($af_invoices_pdf_credit_note_order_table_back_color); ?>">

	<p class="description"><?php echo esc_html__('Pick table background color', 'af_pdf_invoices'); ?></p>
<?php
}

  
function af_invoices_pdf_credit_note_footer_text_color() {
	$af_invoices_pdf_credit_note_footer_text_color = get_option('af_invoices_pdf_credit_note_footer_text_color');
	?>
	<input type="color" name="af_invoices_pdf_credit_note_footer_text_color" class="af_invoice_credit_note_custom_field" value="<?php echo esc_attr($af_invoices_pdf_credit_note_footer_text_color); ?>">
	<p class="description"> <?php echo esc_html__('Pick footer text color', 'af_pdf_invoices'); ?></p>
<?php
}

function af_invoices_pdf_credit_note_footer_background_color() {
	$af_invoices_pdf_credit_note_footer_background_color = get_option('af_invoices_pdf_credit_note_footer_background_color');
	?>
	<input type="color" name="af_invoices_pdf_credit_note_footer_background_color" class="af_invoice_credit_note_custom_field" value="<?php echo esc_attr($af_invoices_pdf_credit_note_footer_background_color); ?>">
	<p class="description"><?php echo esc_html__('Pick footer background color ', 'af_pdf_invoices'); ?></p>
<?php
}
   



function af_pdf_credit_note_footer_note_callback() {
	$af_pdf_credit_note_footer_note = get_option('af_pdf_credit_note_footer_note');
	?>
	<input type="text" name="af_pdf_credit_note_footer_note" value="<?php echo esc_attr($af_pdf_credit_note_footer_note); ?>">
	<p class="description"><?php echo esc_html__('Add text for footer note', 'af_pdf_invoices'); ?></p>

	

	<?php
}




function af_pdf_credit_note_footer_terms_callback() {
	$af_pdf_credit_note_footer_terms = get_option('af_pdf_credit_note_footer_terms');

	$settings = array(
		'textarea_name' => 'af_pdf_credit_note_footer_terms',
		'media_buttons' => false,
		'teeny' => true,
		'quicktags' => false,
		'tinymce' => array(
			'toolbar1' => 'bold,italic,underline,bullist,numlist,link,unlink,undo,redo',
			'toolbar2' => '',
			'block_formats' => 'Paragraph=p; Header 1=h1; Header 2=h2; Header 3=h3',
		),
		'editor_height' => 200,
	);

	echo '<div  style="width: 250px;">';
	wp_editor($af_pdf_credit_note_footer_terms, 'af_pdf_credit_note_footer_terms_editor', $settings);
	echo '</div>';
	echo '<style>
	 .af_pdf_invoice_preview_changes #wp-af_pdf_credit_note_footer_terms_editor-wrap {
		 width: 250px;
	 }
	 .af_pdf_invoice_preview_changes #wp-af_pdf_credit_note_footer_terms_editor-editor-container {
		 width: 250px;
	 }
 </style>';
	?>
 <p class="description">
		<?php
		echo esc_html_e('Add text for terms & conditions', 'af_pdf_invoices');
		?>
 </p>
		  <?php
}

