<!DOCTYPE html>
<html>

<head>
	<style>
		body {
			font-family: Arial, sans-serif;
			margin: 0;
			padding: 0;
			background-color: #fff;
			color: #333;
		}

		.af-invoice-pdf-temp4-heading h1,
		.af-invoice-pdf-temp4-logo h2 {
			font-size: 20px;
			line-height: 30px;
			margin: 0;
			font-weight: 700;
			text-align: center;
		}

		.af-invoice-pdf-temp4-company .af-invoice-pdf-temp4-logo {
			display: inline-block;
			width: 49%;
			vertical-align: middle;
		}

		.af-invoice-pdf-temp4-company {
			padding: 20px 0;
			border-bottom: 2px solid lightgray;
		}

		.af-invoice-pdf-temp4-ship_data,
		.af-invoice-pdf-temp4-bill_data {
			padding: 25px 0px;
		}

		.af-invoice-pdf-temp4-bill_data{
			margin-bottom:10px
		}

		.af-invoice-pdf-temp4-order-data {
			width: 38%;
			display: inline-block;
			vertical-align: top;
			box-sizing: border-box;
		}

		.af-invoice-pdf-temp4-order-data table tr th,
		.af-invoice-pdf-temp4-order-data table tr td,
		.af-invoice-pdf-temp4-product-detail tr th,
		.af-invoice-pdf-temp4-product-detail tr td {
			font-size: 13px;
		}

		.af-invoice-pdf-temp4-order-data table tr th {
			font-size: 13px;
			text-align: left;
			padding: 5px 0;
		}

		.af-invoice-pdf-temp4-order-data table tr td {
			font-size: 13px;
			padding: 5px 0;
			text-align: right;
		}

		.af-pdf-invoice-product-img img {
			width: 70px;
			height: 70px;
		}
	</style>
</head>
<body>
	<?php
	$af_pdf_invoices_packing_slip_order_table = get_option('af_pdf_invoices_packing_slip_order_table');
	$af_pdf_invoices_packing_slip_logo = get_option('af_pdf_invoices_packing_slip_logo');
	$af_packing_slip_company_name = get_option('af_packing_slip_company_name');
	$af_invoice_add_informiation = get_option('woocommerce_store_address');
	$af_pdf_invoices_packing_slip_contact_number = get_option('af_pdf_invoices_packing_slip_contact_number');
	$af_pdf_invoices_packing_slip_headeing = get_option('af_pdf_invoices_packing_slip_headeing');
	$af_pdf_invoices_packing_slip_show_price = get_option('af_pdf_invoices_packing_slip_show_price');
	$af_packing_enable_company_detail=get_option('af_packing_enable_company_detail');
	$af_pdf_invoices_packing_slip_order_date = get_option('af_pdf_invoices_packing_slip_order_date');
	$af_pdf_invoices_packing_slip_footer_back = get_option('af_pdf_invoices_packing_slip_footer_back');
	$af_invoices_pdf_footer_text_color = get_option('af_pdf_invoices_packing_slip_footer_color');
	?>

	<div class="af-invoice-pdf-temp4-heading" style="padding:0; margin: 0;">
		<h1 style="margin: 0; padding: 0"><?php echo esc_attr($af_pdf_invoices_packing_slip_headeing); ?></h1>
	</div>

	<div class="af-invoice-pdf-temp4-company">
		<?php
		if ('default' == get_option('af_invoices_pdf_packing_slip_company_detail')) {
			?>
		<div class="af-invoice-pdf-temp4-logo">
			<h2 style="text-align: left; font-size: 16px; margin-bottom: 6px;">
				<?php echo esc_html__('From', 'af_pdf_invoices'); ?>
			</h2>
			<p style="text-align: left; font-size: 13px; margin: 0;"><?php echo esc_attr($af_packing_slip_company_name); ?></p>
			<p style="font-size: 13px; line-height: 22px; margin: 0;"><?php echo esc_attr($af_invoice_add_informiation); ?></p>
			<p style="font-size: 13px; line-height: 22px; margin: 0;">
				<?php echo esc_attr(get_option('woocommerce_store_city')); ?>
				<span><?php echo !empty(get_option('woocommerce_store_postcode'))? ', ' . esc_attr(get_option('woocommerce_store_postcode')):''; ?></span>
			</p>
			<?php
				$default_country = get_option('woocommerce_default_country'); 
				$wc_countries = new WC_Countries();
				$states = $wc_countries->get_states();

			if (strpos($default_country, ':') !== false) {
				list($country_code, $state_code) = explode(':', $default_country);
				$country_name = isset($wc_countries->countries[ $country_code ]) ? $wc_countries->countries[ $country_code ] : $country_code;
				$state_name = isset($states[ $country_code ][ $state_code ]) ? $states[ $country_code ][ $state_code ] : $state_code;

				echo '<p style="font-size: 13px; line-height: 22px; margin: 0;">' . esc_html($state_name . ',' . $country_name ) . '</p>';
			} else {
				$country_name = isset($wc_countries->countries[ $default_country ]) ? $wc_countries->countries[ $default_country ] : $default_country;
				echo '<p style="font-size: 13px; line-height: 22px; margin: 0;">' . esc_html($country_name) . '</p>';
			}
			?>
		</div>
		<?php
		} elseif ('custom' == get_option('af_invoices_pdf_packing_slip_company_detail')) {
			$lines = explode("\n", get_option('af_invoices_pdf_packing_slip_custom_store_name'));
			?>
			<div class="af-invoice-pdf-temp4-logo" style="font-size:13px; line-height:15px">
				<?php
				foreach ($lines as $line) :
					?>
					<p><?php echo esc_attr($line); ?></p>
				<?php
				endforeach; 
				?>
			</div>
			<?php
		}
		?>

		<div class="af-invoice-pdf-temp4-logo" style="text-align: right;">
			<img style="width: 100px;" src="<?php echo esc_url($af_pdf_invoices_packing_slip_logo); ?>">
		</div>
	</div>

	<div>
		<div class="af-invoice-pdf-temp4-ship_data">
			<?php if (!empty($order->get_shipping_address_1())) { ?>
				<div style="width: 58%; display: inline-block; vertical-align: top; padding-top: 10px;">
					<h3 style="font-size: 16px; font-weight: bold; line-height: 22px; margin: 0; margin-bottom: 6px;">
						<?php echo esc_html__('Ship to', 'af_pdf_invoices'); ?>
					</h3>
					<p style="font-size: 13px; line-height: 22px; margin: 0;">
						<?php echo esc_attr($order->get_shipping_first_name() . ' ' . $order->get_shipping_last_name()); ?>
					</p>
					<p style="font-size: 13px; line-height: 22px; margin: 0;">
						<?php echo esc_attr($order->get_shipping_address_1()); ?>
						<?php echo !empty($order->get_shipping_address_2())?' ' . esc_attr($order->get_shipping_address_2()): '' ; ?>
						<?php echo !empty($order->get_shipping_city())?', ' . esc_attr( $order->get_shipping_city() ): ''; ?>
						<?php echo !empty($order->get_shipping_postcode())?', ' . esc_attr($order->get_shipping_postcode()): '' ; ?>
						<?php echo !empty($order->get_shipping_state()) ? ', ' . esc_attr( WC()->countries->states[ $order->get_shipping_country() ][ $order->get_shipping_state() ] ):'' ; ?>
						<?php echo ', ' . esc_attr( WC()->countries->countries[ $order->get_shipping_country() ] ); ?>
					</p>
					<?php if ('yes' == $af_pdf_invoices_packing_slip_contact_number) { ?>
						<p style="font-size: 13px; line-height: 22px; margin: 0;"><?php echo esc_attr($order->get_shipping_phone()); ?>
					</p>
				<?php } ?>
				</div>
			<?php } ?>

		<div class="af-invoice-pdf-temp4-order-data" >
			<table style="width:100%; border-collapse: collapse;">
				<tr>
					<th  style="font-size: 16px; line-height: 22px; margin: 0;" colspan="2">
						<?php echo esc_html__('Order detail', 'af_pdf_invoices'); ?>
					</th>
				</tr>
				<tr>
					<th><?php echo esc_html__('Order Number', 'af_pdf_invoices'); ?></th>
					<td><?php echo esc_attr($order->get_order_number()); ?></td>
				</tr>
				<?php
				$af_pdf_invoices_packing_slip_order_date = get_option('af_pdf_invoices_packing_slip_order_date');
				if ('yes' == $af_pdf_invoices_packing_slip_order_date) {
					?>
					<tr>
						<th><?php echo esc_html__('Order Date', 'af_pdf_invoices'); ?></th>
						<td><?php echo esc_attr($order->get_date_created()->date_i18n('F j, Y')); ?></td>
					</tr>
				<?php } ?>
				<tr>
					<th><?php echo esc_html__('Payment Method', 'af_pdf_invoices'); ?></th>
					<td><?php echo esc_attr($order->get_payment_method_title()); ?></td>
				</tr>
			</table>
		</div>

		<div class="af-invoice-pdf-temp4-bill_data">
			<div style="width: 58%; display: inline-block; vertical-align: top; ">
				<h3 style="font-size: 16px; font-weight: bold; line-height: 22px; margin: 0; margin-bottom: 6px;">
					<?php echo esc_html__('Bill to', 'af_pdf_invoices'); ?>
				</h3>
				<p style="font-size: 13px; line-height: 22px; margin: 0;">
					<?php echo esc_attr($order->get_billing_first_name() . ' ' . $order->get_billing_last_name()); ?>
				</p>
				<p style="font-size: 13px; line-height: 22px; margin: 0;">
					<?php echo esc_attr($order->get_billing_address_1()); ?>
					<?php echo !empty($order->get_billing_address_2())?' ' . esc_attr($order->get_billing_address_2()): '' ; ?>
					<?php echo !empty($order->get_billing_city())?', ' . esc_attr( $order->get_billing_city() ): ''; ?>
					<?php echo !empty($order->get_billing_postcode())?', ' . esc_attr($order->get_billing_postcode()): '' ; ?>
					<?php echo !empty($order->get_billing_state()) ? ', ' . esc_attr( WC()->countries->states[ $order->get_billing_country() ][ $order->get_billing_state() ] ):'' ; ?>
					<?php echo ', ' . esc_attr( WC()->countries->countries[ $order->get_billing_country() ] ); ?>
				</p>
				
		</div>
	</div>

	<div class="af-invoice-pdf-temp4-product-detail">
		<table style="width:100%; border-collapse: collapse;">
			<thead style="background: #6473e3; color: #fff;">
				<tr>
					<th style="color: <?php echo esc_attr(get_option('af_pdf_invoices_packing_slip_order_table')); ?>; background-color: <?php echo esc_attr(get_option('af_pdf_invoices_packing_slip_order_back')); ?>; padding: 10px; width: 25%;">
						<?php echo esc_html__('Image', 'af_pdf_invoices'); ?>
					</th>
					<th style="color: <?php echo esc_attr(get_option('af_pdf_invoices_packing_slip_order_table')); ?>; background-color: <?php echo esc_attr(get_option('af_pdf_invoices_packing_slip_order_back')); ?>; padding: 10px; width: 25%;">
						<?php echo esc_html__('Name', 'af_pdf_invoices'); ?>
					</th>
					<th style="color: <?php echo esc_attr(get_option('af_pdf_invoices_packing_slip_order_table')); ?>; background-color: <?php echo esc_attr(get_option('af_pdf_invoices_packing_slip_order_back')); ?>; padding: 10px; width: 25%;">
						<?php echo esc_html__('QTY', 'af_pdf_invoices'); ?>
					</th>
					<?php if ('yes' === $af_pdf_invoices_packing_slip_show_price) { ?>
						<th style="color: <?php echo esc_attr(get_option('af_pdf_invoices_packing_slip_order_table')); ?>; background-color: <?php echo esc_attr(get_option('af_pdf_invoices_packing_slip_order_back')); ?>; padding: 10px; width: 25%;">
							<?php echo esc_html__('Subtotal', 'af_pdf_invoices'); ?>
						</th>
					<?php } ?>
				</tr>
			</thead>
			<tbody>
				<?php
				foreach ($order->get_items() as $item_id => $order_item) {
					$product = $order_item->get_product();
					$quantity = $order_item->get_quantity();
					$subtotal = $order_item->get_subtotal();
					?>
					<tr>
						<td style="padding:10px; text-align: left; width: 25%;" class="af-pdf-invoice-product-img">
							<?php echo wp_kses_post($product->get_image()); ?>
						</td>
						<td style="padding:10px; width: 25%; text-align: center;" class="af-invoice-pdf-product_sku_td">
							<span style="font-weight: bold !important;"><?php echo wp_kses_post($product->get_name()); ?></span>
						</td>
						<td style="padding:10px; width: 25%; text-align: center;"><?php echo esc_html($quantity); ?></td>
						<?php
						if ('yes' == $af_pdf_invoices_packing_slip_show_price) {
							?>
							<td style="padding:10px; width: 25%; text-align: center;">
								<?php echo wp_kses_post(wc_price($subtotal)); ?>
							</td>
						</tr>
						<?php
						}
				}
				?>
			</tbody>
		</table>

		<?php
		if ('yes' == $af_pdf_invoices_packing_slip_show_price) {
			?>
			<div style="width: 38%; margin: auto 0 auto auto; padding: 10px; background-color: <?php echo esc_attr(get_option('af_pdf_invoices_packing_slip_order_back')) . '55'; ?>">
				<label style="font-size:12px; display: inline-block; text-align:left; width: 49%; font-weight: 600;"><?php echo esc_html__('Total', 'af_pdf_invoices'); ?></label>
				<p style="font-size:12px; margin: 0; display: inline-block; text-align:right; width: 49%;">
					<?php echo wp_kses_post(wc_price($order->get_total())); ?>
				</p>
			</div>
		<?php } ?>
	</div>

	<!-- note section -->
	<?php
	if (!empty(get_option('af_pdf_invoices_packing_add_note'))) {
		?>
			<div class="invoice-note" style="padding:30px 0px;font:13px">
				<p>
					<span style="text-align:left; padding-left: 0;"><?php echo esc_html__('Note :', 'af_pdf_invoices'); ?></span>
					<span><?php echo esc_attr(get_option('af_pdf_invoices_packing_add_note')); ?></span>	
				</p>
			</div>

		<?php
	} 

		// terms and conditions section

	if (!empty(get_option('af_pdf_invoices_packing_term_condition'))) {
		?>
			<div id="af_pdf_invoices_footer"  style="padding: 0px 10px;background-color:<?php echo esc_attr($af_pdf_invoices_packing_slip_footer_back); ?>;color:<?php echo esc_attr($af_invoices_pdf_footer_text_color); ?>;">
				<div>
					<h2 style="margin-bottom:10px"><?php echo esc_html__('Terms and Conditions', 'af_pdf_invoices'); ?></h2>
					<p><?php echo wp_kses_post(get_option('af_pdf_invoices_packing_term_condition')); ?></p>
				</div>
			</div>
		<?php } ?>

</body>
</html>
