<?php
$af_invoices_pdf_header_logo = get_option('af_invoices_pdf_header_logo');
$af_pdf_invoice_comp_name =  get_bloginfo('name');
$af_invoice_add_informiation = get_option('woocommerce_store_address');
$af_invoices_pdf_header_background_color = get_option('af_invoices_pdf_header_background_color');
$af_invoices_pdf_header_color = get_option('af_invoices_pdf_header_color ');
$af_invoices_pdf_order_table_back_color = get_option('af_invoices_pdf_order_table_back_color');
$af_invoices_pdf_order_table_color = get_option('af_invoices_pdf_order_table_color');
$af_invoices_pdf_company_detail = get_option('af_invoices_pdf_company_detail');
$af_invoice_heading = get_option('af_invoice_heading');
$af_invo_footer_text = get_option('af_invoices_pdf_note_footer');
$af_inv_invoice_note = get_option('af_invoices_pdf_term_condition');
$af_invoices_pdf_footer_background_color = get_option('af_invoices_pdf_footer_background_color');
$af_invoices_pdf_footer_text_color = get_option('af_invoices_pdf_footer_text_color');
$af_invoices_pdf_header_logo_height = get_option('af_invoices_pdf_header_logo_height');

$order_status = $order->get_status();


?>
<!-- styles -->
<head>
	<style type="text/css">
		.af-pdf-invoice-header_temp3 p,
		.af-pdf-wrapper p{
			font-size: 13px;
			line-height: 23px;
			color: #000;
			margin: 0;
		}

		.af-pdf-invoices-content table {
			width: 100%;
			border-collapse: collapse;
		}

		.af-pdf-invoices-content table tbody tr td {
			border: 1px solid #393a3c38;
		}

		.af-pdf-invoices-content table thead th {
			background-color: #20e361;
			color: white;
			border: 1px solid #393a3c38;
			background-color:
				<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>;
			font-size: 14px;
			line-height: 24px;
			padding: 5px;
		}

		.af-pdf-invoices-content table tbody tr td:first-child {
			font-weight: 800;
		}

		.af-pdf-invoices-content table tr td th {
			font-size: 14px;
			line-height: 24px;
			padding: 5px;
			text-align: left;
			text-align: center !important;
		}

		.af-pdf-invoice-product-img img {
			width: 50px;
			height: 55px;
			margin: 0 auto;
			border-radius: 6px !important;
			background: transparent;
		}

		#af_inv_proforma_note,
		#af-pdf-invoice-footer {
			font-size: 10pt !important;
		}

		#af-pdf-invoice-footer {
			position: fixed !important;
			bottom: 0px !important;
			left: 0 !important;
			right: 0 !important;
			width: 100%;
			background-color: #20e361;
			color: white;
		}

		.af-pdf-invoice-header_temp3 {
			padding: 20px 35px 20px 20px
		}

		.af-pdf-invoice-header_temp3 h2{
			font-size: 32px;
			line-height: 42px;
			font-weight: 500;
			margin-top: 0;
			margin-bottom: 10px;
		}

		.af-line-temp-mid-sec-left h4,
		.af-line-temp-mid-sec-right h4 {
			background-color: #20e361;
			color: white;
		}

		.af-invoice-info h4 {
			background-color: #20e361;
			color: white;
		}
		.af-pdf-invoices-content table tbody tr td{
			padding: 5px 7px;
			font-size: 13px;
			line-height: 20px;
			color: #000;
		}

		.totals-table{
			width:40%;
			float:right;
		}
		.totals-table table tfoot tr th{
			padding: 7px 7px;;
			background: #fff;
			color: #000;
			font-size: 13px;
			line-height: 23px;
			border-bottom: 1px solid gray;
		}
		.totals-table table tfoot tr td:first-child,
		.totals-table table tfoot tr th:first-child{
			border-bottom: none;
		}
		.totals-table table tfoot tr:first-child th,
		.totals-table table tfoot tr:first-child td{
			padding: 10px 0 0 0;
		}
		.totals-table table tfoot tr:first-child th > span,
		.totals-table table tfoot tr:first-child td > span {
			padding: 7px 7px;
			display: block;
		}
		.af-invoice-product-img img {
			width: 50px;
			height: 50px;
			border-radius: 6px;
		}
		@page{
			margin: 40px 0px;
		}
	</style>
</head>


<body>
	<!-- header section -->
	<div class="af-pdf-invoice-header_temp3">
		<div style="padding:0 20px 20px; width:60%; display: inline-block; vertical-align: top;">
			<?php
			if ('refunded' == $order_status) {
				?>
				<h2 style="margin-bottom:30px">
				<?php
				if (!empty(get_option('af_pdf_invoices_credit_note_heading'))) {
					echo esc_attr(get_option('af_pdf_invoices_credit_note_heading'));
				} else {
					echo esc_html__('Credit Note', 'af_pdf_invoices');
				}
				?>
			</h2>
			<?php
			} else {
				?>
				<h2 style="margin-bottom:30px">
					<?php
					if (!empty(get_option('af_invoice_pdf_invoice_heading_text'))) {
						echo esc_attr(get_option('af_invoice_pdf_invoice_heading_text'));
					} else {
						echo esc_html__('INVOICE', 'af_pdf_invoices');
					}
					?>
				</h2>
			<?php
			}
			
			$invoice_number = rand(1000, 9999);
			$order_number   = $order->get_order_number();
			$order_date = $order->get_date_created()->date_i18n('F j, Y');
			$current_date = gmdate('F j, Y');
		
			if ('yes' == get_option('af_invoices_display_invoice_number') && 'refunded' != $order_status) {
				?>
					<p><strong>Invoice Number:</strong> <?php echo esc_attr($invoice_number); ?></p>
				<?php
			} 
			
			if ('refunded' != $order_status) {
				?>
				<p><strong>Invoice date:</strong> <?php echo esc_attr($current_date); ?></p>
			<?php } ?>


			<?php 
			if ('yes' == get_option('af_invoices_display_order_number')) {
				?>
				<p><strong>Order Number:</strong> <?php echo esc_attr($order_number); ?></p>
			<?php } ?>

			<?php 
			if ('yes' == get_option('af_invoices_order_date')) {
				?>
				<p><strong>Order Date:</strong> <?php echo esc_attr($order_date); ?></p>
			<?php } ?>

			<p><strong>Payment Method:</strong> <?php echo esc_attr($order->get_payment_method_title()); ?></p>

			<?php 
			if ('yes' == get_option('af_invoices_display_email_address')) {
				?>
				<p><strong>Email:</strong> <?php echo esc_attr($order->get_billing_email()); ?></p>
			<?php } ?>

			<?php 
			if ('yes' == get_option('af_invoices_display_phone_number') && !empty($order->get_billing_phone())) {
				?>
				<p><strong>Phone:</strong> <?php echo esc_attr($order->get_billing_phone()); ?></p>
			<?php } ?>
				
		</div>

		<div style="width:27%; display: inline-block; vertical-align: top; text-align: left;">
			<?php

			$default_height = '150px';

			$logo_height = !empty($af_invoices_pdf_header_logo_height) ? esc_attr($af_invoices_pdf_header_logo_height) . 'px' : $default_height;

			if (!empty($af_invoices_pdf_header_logo)) {
				?>
				<img style="width: 150px!important; height: <?php echo esc_attr($logo_height); ?>; margin:0px 0 25px auto;" src="<?php echo esc_url($af_invoices_pdf_header_logo); ?>">
			<?php
			} 

			if ('default' == $af_invoices_pdf_company_detail) {
				?>
				<div class="invoice-contact-detail">
					<p><?php echo esc_attr($af_pdf_invoice_comp_name); ?></p>
					<p><?php echo esc_attr($af_pdf_invoice_company_address); ?></p>
					<p><?php echo esc_attr(get_option('woocommerce_store_city')); ?></p>
					<?php
						$default_country = get_option('woocommerce_default_country'); 
						$wc_countries = new WC_Countries();
						$states = $wc_countries->get_states();

					if (strpos($default_country, ':') !== false) {
						list($country_code, $state_code) = explode(':', $default_country);
						$country_name = isset($wc_countries->countries[ $country_code ]) ? $wc_countries->countries[ $country_code ] : $country_code;
						$state_name = isset($states[ $country_code ][ $state_code ]) ? $states[ $country_code ][ $state_code ] : $state_code;

						echo '<p>' . esc_html($country_name . ', ' . $state_name) . '</p>';
					} else {
						$country_name = isset($wc_countries->countries[ $default_country ]) ? $wc_countries->countries[ $default_country ] : $default_country;
						echo '<p>' . esc_html($country_name) . '</p>';
					}
					?>
				</div>
			<?php
			} elseif ('custom' == $af_invoices_pdf_company_detail) {
				$af_invoices_pdf_custom_store_name = get_option('af_invoices_pdf_custom_store_name');
				$lines = explode("\n", $af_invoices_pdf_custom_store_name);

				?>
				<div class="invoice-contact-detail">
					<?php
					foreach ($lines as $line) :
						?>
						<p><?php echo esc_attr($line); ?></p>
					<?php endforeach; ?>
				</div>
			<?php } ?>
		</div>
	</div>

	<!-- main section || section below header -->
	<div class="af-pdf-wrapper" style="padding:20px">

		<section class="af-line-temp-mid-section" style="width: 100%; vertical-align: top; padding-bottom: 30px!important;">
			<div class="af-line-temp-mid-sec-left" style="display: inline-block; width: 49%; vertical-align: top;">
				<h4 style="padding: 10px; background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>;">
					<?php echo esc_html__('Bill To', 'af_pdf_invoices'); ?>
				</h4>
				<div style="padding-left: 10px;">
					<p><?php echo esc_attr($order->get_billing_first_name()) . ' ' . esc_attr($order->get_billing_last_name()); ?></p>
					<p><?php echo esc_attr( $order->get_billing_address_1()); ?></p>
					<p><?php echo esc_attr( $order->get_billing_address_2()  ); ?></p>
					<p><?php echo esc_attr( $order->get_billing_city()   ); ?></p>
					<p><?php echo esc_attr( WC()->countries->states[ $order->get_billing_country() ][ $order->get_billing_state() ] ) ; ?></p>
					<p><?php echo esc_attr( $order->get_billing_postcode()   ); ?></p>
					<p><?php echo esc_attr( WC()->countries->countries[ $order->get_billing_country() ] ); ?></p>
				</div>
			</div>

			<?php
			if ('yes' == get_option('af_invoices_pdf_shipping_date') && !empty($order->get_shipping_address_1())) {
				?>
				<div class="af-line-temp-mid-sec-right" style="display: inline-block; width: 49%; vertical-align: top;">
					<h4 style="padding: 10px; background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>;">
						<?php echo esc_html__('Ship To', 'af_pdf_invoices'); ?>
					</h4>
					<div style="padding-left: 10px;">
						<p><?php echo esc_attr($order->get_shipping_first_name()) . ' ' . esc_attr($order->get_shipping_last_name()); ?></p>
						<p><?php echo esc_attr( $order->get_shipping_address_1()); ?></p>
						<p><?php echo esc_attr( $order->get_shipping_address_2()  ); ?></p>
						<p><?php echo esc_attr( $order->get_shipping_city()   ); ?></p>
						<p><?php echo esc_attr( WC()->countries->states[ $order->get_shipping_country() ][ $order->get_shipping_state() ] ) ; ?></p>
						<p><?php echo esc_attr( $order->get_shipping_postcode()   ); ?></p>
						<p><?php echo esc_attr( WC()->countries->countries[ $order->get_shipping_country() ] ); ?></p>
					</div>
				</div>
			<?php } ?>
			
		</section>
	</div>

	<!-- products table section -->
	<section class="af-pdf-invoices-content" style="padding: 20px!important;">
		<table style="text-align: center;">
			<thead style="background-color: <?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>;">
				<tr>
					<th
						style=" background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?> width:20%; text-align:center; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
						<?php echo esc_html__('Product Image', 'af_pdf_invoices'); ?>
					</th>
					<th
						style=" background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?> width:20%; text-align:center; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
						<?php echo esc_html__('Product Name', 'af_pdf_invoices'); ?>
					</th>
					<th
						style=" width:20%; text-align:center;color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
						<?php echo esc_html__('Quantity', 'af_pdf_invoices'); ?>
					</th>
					<th
						style=" background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?> width:20%; text-align:center; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
						<?php echo esc_html__('Price', 'af_pdf_invoices'); ?>
					</th>

					<th
						style=" background-color:<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?> width:20%; text-align:center; color: <?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
						<?php echo esc_html__('Total', 'af_pdf_invoices'); ?>
					</th>
				</tr>
			</thead>
			<tbody>
					<?php
					$order_subtotal = $order->get_subtotal();
					$total_fee      = $order->get_total_fees();
					$shipping_total = $order->get_shipping_total();
					$total_tax      = $order->get_total_tax();
					$total          = $order->get_total();
					$refund_amount  = $order->get_total_refunded();


					foreach ($order->get_items() as $item_id => $item) {
						$product = $item->get_product();
						$_product = wc_get_product($item->get_product_id());
						$quantity = $item->get_quantity();
						$subtotal = $item->get_subtotal();
						?>
						<tr>
							<td class="af-invoice-product-img"><?php echo wp_kses_post($product->get_image()); ?></td>
							<td><?php echo wp_kses_post($product->get_name()); ?></td>
							<td><?php echo wp_kses_post($quantity); ?></td>
							<td style="font-family: DejaVu Sans; font-size:11px"><?php echo wp_kses_post(wc_price($subtotal/$quantity)); ?></td>
							<td style="font-family: DejaVu Sans; font-size:11px"><?php echo wp_kses_post(wc_price($subtotal)); ?></td>
						</tr>
					<?php } ?>
				</tbody>
		</table>

		<div class="totals-table">
			<table>
				<tfoot>
					<tr>
						<td></td>
						<td></td>
						<td></td>
						<th><span>Subtotal</span></th>
						<th style="font-family: DejaVu Sans; font-size:11px"><span><?php echo wp_kses_post(wc_price($order_subtotal)); ?></span></th>
					</tr>
					<?php 
					if ($total_fee && $total_fee>0) {
						?>
						<tr>
							<td></td>
							<td></td>
							<td></td>
							<th><span>Fee</span></th>
							<th style="font-family: DejaVu Sans; font-size:11px"><span><?php echo wp_kses_post(wc_price($total_fee)); ?></span></th>
						</tr>
					<?php
					} 

					if ($shipping_total && $shipping_total>0) {
						?>
						<tr>
							<td></td>
							<td></td>
							<td></td>
							<th><span>Shipping</span></th>
							<th style="font-family: DejaVu Sans; font-size:11px"><span><?php echo wp_kses_post(wc_price($shipping_total)); ?></span></th>
						</tr>
					<?php
					} 

					if ($total_tax && $total_tax>0) {
						?>
					<tr>
						<td></td>
						<td></td>
						<td></td>
						<th><span>Tax</span></th>
						<th style="font-family: DejaVu Sans; font-size:11px;"><span><?php echo wp_kses_post(wc_price($total_tax)); ?></span></th>
					</tr>
					<?php } ?>

					<tr>
						<td></td>
						<td></td>
						<td></td>
						<th><span>Total</span></th>
						<th style="font-family: DejaVu Sans; font-size:11px"><span><?php echo wp_kses_post(wc_price($total)); ?></span></th>
					</tr>

					<?php
					if ($refund_amount && $refund_amount>0 && 'refunded' == $order_status) {
						?>
						<tr>
							<td></td>
							<td></td>
							<td></td>
							<th style="color:red"><span>Refunded</span></th>
							<th style="color:red; font-family: DejaVu Sans; font-size:11px;"><span><?php echo '- ' . wp_kses_post(wc_price($refund_amount)); ?></span></th>
						</tr>
					<?php } ?>

					<?php
					if ('refunded' == $order_status) {
						$net_amount = $total - $refund_amount;
						?>
						<tr>
							<td></td>
							<td></td>
							<td></td>
							<th><span>Net Payment</span></th>
							<th style="font-family: DejaVu Sans; font-size:11px;"><span><?php echo wp_kses_post(wc_price($net_amount)); ?></span></th>
						</tr>
					<?php } ?>
						
	
				</tfoot>
			</table>		
		</div>
	
		<div style="clear:both"></div>

	</section>

	<?php
	if ('refunded' == $order_status) {
		$footer_note            = get_option('af_pdf_credit_note_footer_note');
		$terms_and_conditions   = get_option('af_pdf_credit_note_footer_terms');
	} else {
		$footer_note            = get_option('af_invoices_pdf_note_footer');
		$terms_and_conditions   = get_option('af_invoices_pdf_term_condition');
	}
	
	// note section 
	if (!empty($footer_note)) {
		?>
		<div class="invoice-note" style="padding:10px 20px">
			<span style="text-align:left; padding-left: 0;"><?php echo esc_html__('Note :', 'af_pdf_invoices'); ?></span>
			<span><?php echo esc_attr($footer_note); ?></span>	
		</div>

	<?php
	} 

	// terms and conditions section
	if (!empty($terms_and_conditions)) {
		?>
		<div id="af_pdf_invoices_footer"  style="margin:20px; padding: 10px;background-color:<?php echo esc_attr($af_invoices_pdf_footer_background_color); ?>;color:<?php echo esc_attr($af_invoices_pdf_footer_text_color); ?>;">
			<div>
				<h2><?php echo esc_html__('Terms and Conditions', 'af_pdf_invoices'); ?></h2>
				<?php echo wp_kses_post($terms_and_conditions); ?>
			</div>
		</div>
	<?php } ?>

</body>